package getWay

import "github.com/gin-gonic/gin"

type Error struct {
	Code State
}

func ExceptionGetWayCatch(c *gin.Context) {
	err := recover() //获取异常
	if err != nil {
		switch err.(type) {
		case Error:
			e := (err).(Error)
			FailGetWay(c, e.Code)
			break
		}
	}
}

func ThrowsGetWayErr(code State) {
	if &code != nil {
		panic(Error{code})
	}
}

func AssertThrowsGetWayErr(throwable bool, code State) {
	if throwable {
		panic(Error{code})
	}
}
